org.apache.lucene.geo3d

## Class LatLonBounds

- java.lang.Object
- - org.apache.lucene.geo3d.LatLonBounds

- All Implemented Interfaces:
    Bounds

      public class LatLonBounds
      extends Object
      implements Bounds

  An object for accumulating latitude/longitude bounds information.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Double` | `leftLongitude` If non-null, the left longitude bound
    `protected Double` | `maxLatitude` If non-null, the maximum latitude bound
    `protected Double` | `minLatitude` If non-null, the minimum latitude bound
    `protected boolean` | `noBottomLatitudeBound` Set to true if no bottom latitude bound can be stated
    `protected boolean` | `noLongitudeBound` Set to true if no longitude bounds can be stated
    `protected boolean` | `noTopLatitudeBound` Set to true if no top latitude bound can be stated
    `protected Double` | `rightLongitude` If non-null, the right longitude bound

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LatLonBounds()` Construct an empty bounds object

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bounds` | `addHorizontalPlane(PlanetModel planetModel, double latitude, Plane horizontalPlane, Membership... bounds)` Add a horizontal plane to the bounds description.
    `protected void` | `addLatitudeBound(double latitude)` Update latitude bound.
    `protected void` | `addLongitudeBound(double longitude)` Update longitude bound.
    `Bounds` | `addPlane(PlanetModel planetModel, Plane plane, Membership... bounds)` Add a general plane to the bounds description.
    `Bounds` | `addPoint(GeoPoint point)` Add a single point.
    `Bounds` | `addVerticalPlane(PlanetModel planetModel, double longitude, Plane verticalPlane, Membership... bounds)` Add a vertical plane to the bounds description.
    `Bounds` | `addXValue(GeoPoint point)` Add an X value.
    `Bounds` | `addYValue(GeoPoint point)` Add a Y value.
    `Bounds` | `addZValue(GeoPoint point)` Add a Z value.
    `boolean` | `checkNoBottomLatitudeBound()` Check if there's no bottom latitude bound.
    `boolean` | `checkNoLongitudeBound()` Check if there's no longitude bound.
    `boolean` | `checkNoTopLatitudeBound()` Check if there's no top latitude bound.
    `Double` | `getLeftLongitude()` Get left longitude, if any.
    `Double` | `getMaxLatitude()` Get maximum latitude, if any.
    `Double` | `getMinLatitude()` Get minimum latitude, if any.
    `Double` | `getRightLongitude()` Get right longitude, if any.
    `Bounds` | `isWide()` Signal that the shape exceeds Math.PI in longitude.
    `Bounds` | `noBottomLatitudeBound()` Signal that there is no bottom latitude bound.
    `Bounds` | `noLongitudeBound()` Signal that there is no longitude bound.
    `Bounds` | `noTopLatitudeBound()` Signal that there is no top latitude bound.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### noLongitudeBound

          protected boolean noLongitudeBound

      Set to true if no longitude bounds can be stated

    - #### noTopLatitudeBound

          protected boolean noTopLatitudeBound

      Set to true if no top latitude bound can be stated

    - #### noBottomLatitudeBound

          protected boolean noBottomLatitudeBound

      Set to true if no bottom latitude bound can be stated

    - #### minLatitude

          protected Double minLatitude

      If non-null, the minimum latitude bound

    - #### maxLatitude

          protected Double maxLatitude

      If non-null, the maximum latitude bound

    - #### leftLongitude

          protected Double leftLongitude

      If non-null, the left longitude bound

    - #### rightLongitude

          protected Double rightLongitude

      If non-null, the right longitude bound

  - ### Constructor Detail

    - #### LatLonBounds

          public LatLonBounds()

      Construct an empty bounds object

  - ### Method Detail

    - #### getMaxLatitude

          public Double getMaxLatitude()

      Get maximum latitude, if any.
      Returns:
        maximum latitude or null.

    - #### getMinLatitude

          public Double getMinLatitude()

      Get minimum latitude, if any.
      Returns:
        minimum latitude or null.

    - #### getLeftLongitude

          public Double getLeftLongitude()

      Get left longitude, if any.
      Returns:
        left longitude, or null.

    - #### getRightLongitude

          public Double getRightLongitude()

      Get right longitude, if any.
      Returns:
        right longitude, or null.

    - #### checkNoLongitudeBound

          public boolean checkNoLongitudeBound()

      Check if there's no longitude bound.
      Returns:
        true if no longitude bound.

    - #### checkNoTopLatitudeBound

          public boolean checkNoTopLatitudeBound()

      Check if there's no top latitude bound.
      Returns:
        true if no top latitude bound.

    - #### checkNoBottomLatitudeBound

          public boolean checkNoBottomLatitudeBound()

      Check if there's no bottom latitude bound.
      Returns:
        true if no bottom latitude bound.

    - #### addPlane

          public Bounds addPlane(PlanetModel planetModel,
                        Plane plane,
                        Membership... bounds)

      Description copied from interface: `Bounds`
      Add a general plane to the bounds description.
      Specified by:
        `addPlane` in interface `Bounds`
      Parameters:
        `planetModel` - is the planet model.
        `plane` - is the plane.
        `bounds` - are the membership bounds for points along the arc.

    - #### addHorizontalPlane

          public Bounds addHorizontalPlane(PlanetModel planetModel,
                                  double latitude,
                                  Plane horizontalPlane,
                                  Membership... bounds)

      Description copied from interface: `Bounds`
      Add a horizontal plane to the bounds description. This method should EITHER use the supplied latitude, OR use the supplied plane, depending on what is most efficient.
      Specified by:
        `addHorizontalPlane` in interface `Bounds`
      Parameters:
        `planetModel` - is the planet model.
        `latitude` - is the latitude.
        `horizontalPlane` - is the plane.
        `bounds` - are the constraints on the plane.
      Returns:
        updated Bounds object.

    - #### addVerticalPlane

          public Bounds addVerticalPlane(PlanetModel planetModel,
                                double longitude,
                                Plane verticalPlane,
                                Membership... bounds)

      Description copied from interface: `Bounds`
      Add a vertical plane to the bounds description. This method should EITHER use the supplied longitude, OR use the supplied plane, depending on what is most efficient.
      Specified by:
        `addVerticalPlane` in interface `Bounds`
      Parameters:
        `planetModel` - is the planet model.
        `longitude` - is the longitude.
        `verticalPlane` - is the plane.
        `bounds` - are the constraints on the plane.
      Returns:
        updated Bounds object.

    - #### isWide

          public Bounds isWide()

      Description copied from interface: `Bounds`
      Signal that the shape exceeds Math.PI in longitude.
      Specified by:
        `isWide` in interface `Bounds`
      Returns:
        the updated Bounds object.

    - #### addXValue

          public Bounds addXValue(GeoPoint point)

      Description copied from interface: `Bounds`
      Add an X value.
      Specified by:
        `addXValue` in interface `Bounds`
      Parameters:
        `point` - is the point to take the x value from.
      Returns:
        the updated object.

    - #### addYValue

          public Bounds addYValue(GeoPoint point)

      Description copied from interface: `Bounds`
      Add a Y value.
      Specified by:
        `addYValue` in interface `Bounds`
      Parameters:
        `point` - is the point to take the y value from.
      Returns:
        the updated object.

    - #### addZValue

          public Bounds addZValue(GeoPoint point)

      Description copied from interface: `Bounds`
      Add a Z value.
      Specified by:
        `addZValue` in interface `Bounds`
      Parameters:
        `point` - is the point to take the z value from.
      Returns:
        the updated object.

    - #### addPoint

          public Bounds addPoint(GeoPoint point)

      Description copied from interface: `Bounds`
      Add a single point.
      Specified by:
        `addPoint` in interface `Bounds`
      Parameters:
        `point` - is the point.
      Returns:
        the updated Bounds object.

    - #### noLongitudeBound

          public Bounds noLongitudeBound()

      Description copied from interface: `Bounds`
      Signal that there is no longitude bound.
      Specified by:
        `noLongitudeBound` in interface `Bounds`
      Returns:
        the updated Bounds object.

    - #### noTopLatitudeBound

          public Bounds noTopLatitudeBound()

      Description copied from interface: `Bounds`
      Signal that there is no top latitude bound.
      Specified by:
        `noTopLatitudeBound` in interface `Bounds`
      Returns:
        the updated Bounds object.

    - #### noBottomLatitudeBound

          public Bounds noBottomLatitudeBound()

      Description copied from interface: `Bounds`
      Signal that there is no bottom latitude bound.
      Specified by:
        `noBottomLatitudeBound` in interface `Bounds`
      Returns:
        the updated Bounds object.

    - #### addLatitudeBound

          protected void addLatitudeBound(double latitude)

      Update latitude bound.
      Parameters:
        `latitude` - is the latitude.

    - #### addLongitudeBound

          protected void addLongitudeBound(double longitude)

      Update longitude bound.
      Parameters:
        `longitude` - is the new longitude value.

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.